Bug 1389959 - Switching keyboard layout by Anaconda does not work in mutter (Wayland)
Summary: Switching keyboard layout by Anaconda does not work in mutter (Wayland)
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 36
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException https://fedor...
: 1628859 1817229 (view as bug list)
Depends On:
Blocks: F25FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-10-30 00:10 UTC by Adam Williamson
Modified: 2022-05-13 10:40 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:34:57 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1331382 0 unspecified CLOSED Anaconda layout indicator does not switch the keyboard layout when clicked when running in Workstation live 2021-02-22 00:41:40 UTC

Internal Links: 1331382

Description Adam Williamson 2016-10-30 00:10:41 UTC
When running anaconda from the Workstation live image (i.e. under Wayland), switching keyboard layouts using the key combo (usually alt+shift) does not work. Switching layout by clicking the layout indicator does work.

I'm guessing that what anaconda does to configure the switch key combo simply doesn't work under Wayland.

Proposing as a Final freeze exception. Not proposing as a blocker as the more serious https://bugzilla.redhat.com/show_bug.cgi?id=1331382 was rejected as a blocker for F24, so there's no reason to think this would be accepted as a blocker. But layout switching is important to users of multiple layout languages, so a fix for this would be nice if possible. If not, we can document to click the switcher instead of using the key combo.

Comment 1 Geoffrey Marr 2016-10-31 18:56:32 UTC
Discussed during the 2016-10-31 blocker review meeting: [1]

The decision to classify this bug as an AcceptedFreezeException was made as this is an installer issue and therefore cannot be fixed with an update.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-10-31/f25-blocker-review.2016-10-31-16.01.txt

Comment 2 Christian Stadelmann 2016-11-07 21:40:05 UTC
I've assigned a custom key combination in GNOME wayland and it works fine.

Comment 3 Leslie Satenstein 2016-12-15 18:57:21 UTC
F25 GNOME,
Using Gnome.org in lieu of Wayland, the keyboard switching works for me, but, it does not result in a change to the Gnome keyboard layout INDICATOR (top panel right side).
My choice for layout change was simultaneous control key operation.

Same OR SIMILAR results as Dwaxeiption.

Comment 4 Fedora End Of Life 2017-02-28 10:31:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 Adam Williamson 2017-04-04 21:17:36 UTC
"I've assigned a custom key combination in GNOME wayland and it works fine."

This is about using the switcher combo that anaconda configures. If you select some locales, anaconda will automatically select two keyboard layouts, and try to configure a specific key combination (usually alt+shift) to switch between them. There is also an option in the anaconda KEYBOARD screen to configure one of several different switcher key combinations.

None of this actually works under Wayland; any combo anaconda thinks it's configured as a layout switcher combo does not in fact switch the layouts. But anaconda's UI still tells you it's configured a switcher combo and that you can use it to switch layouts.

Comment 6 Kamil Páral 2018-04-03 07:18:19 UTC
Still the same issue with F28 Beta.

Comment 7 Dietrich 2018-04-30 20:39:55 UTC
I switched the keyboardlayout using the gnome-settings dialog.

anaconda stil showed the us layout.

after clicking on it it changed to null

a second click crashed anaconda.

Comment 8 Fedora End Of Life 2018-05-03 08:16:27 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2018-05-29 12:34:57 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Adam Williamson 2018-09-17 18:13:39 UTC
*** Bug 1628859 has been marked as a duplicate of this bug. ***

Comment 11 Adam Williamson 2018-09-17 18:14:12 UTC
per the dupe, this is still valid as of F29.

Comment 12 Parag Nemade 2018-09-20 03:08:48 UTC
Just wanted to share. I have got to test Fedora Silverblue 29 RC1.5 image and found almost all "alt+<key>" combinations working for me. They can switch the keyboard. But some are not working like "Caps Lock" "Right Alt" "Shift+Caps Lock". I have not checked all the combinations.

Comment 13 Adam Williamson 2018-09-20 03:10:22 UTC
This bug is basically about Workstation live images. Installer images like the Silverblue installer image are not affected *during the install* because the installer environment uses X, not Wayland. Post-install, though, Workstation will not respect any switcher combo configured by anaconda for X.

Comment 14 Parag Nemade 2018-09-20 03:18:58 UTC
Adam, Thanks for that information.

Comment 15 Ben Cotton 2019-10-31 20:37:22 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Kamil Páral 2019-11-01 16:10:01 UTC
The same occurs on F31 Workstation Live.

Comment 17 Jiri Konecny 2020-03-26 08:17:50 UTC
Description of the problem:

Live is running under mutter which is "taking control" of keyboard switching. So our current solution with libxklavier won't work. We have to rewrite (implement new) keyboard control which is using DBus gnome shell service. This is a bit unfortunate and not that trivial task to do. Currently we are trying to find a better way to do this.

Comment 18 Jiri Konecny 2020-03-26 08:21:26 UTC
*** Bug 1817229 has been marked as a duplicate of this bug. ***

Comment 19 Ben Cotton 2020-08-11 15:20:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 20 Vladimír Slávik 2020-10-06 11:58:02 UTC
Assigned to mail list is nonsense, returning to new.

Comment 21 Robin Lee 2021-09-27 08:01:47 UTC
Since libAnacondaWidgets failed to load in mutter (Wayland), editing a Glade file of Anaconda with Glade triggers segfault. I have to run glade in X11 mode by 'GDK_BACKEND=x11 glade pyanaconda/ui/gui/spokes/storage.glade'.

Comment 22 Adam Williamson 2021-10-25 16:05:17 UTC
This behaviour seems to have changed slightly for the worse in F35: now, if you are on the secondary layout, any press of a modifier key reverts to the primary layout. Intentional key combo-based switching still doesn't work. See https://bugzilla.redhat.com/show_bug.cgi?id=2016613 .

Comment 23 Ben Cotton 2022-05-12 14:56:58 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 24 Kamil Páral 2022-05-13 10:40:21 UTC
This might be considered obsolete based on the approach taken in bug 2016613 comment 26 and later.


Note You need to log in before you can comment on or make changes to this bug.